Remove  code from CustomizableUI
registerManifest, readManifestFromJar, and readManifestFromFile in CustomizableUI are  code.

And we don't need NetUtil.jsm. Let's get rid of this stuff.

Might win us a little bit of time on ts_paint (not tpaint, since this stuff would only be loaded the first time CustomizableUI was imported).
